Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#55 multiple instances of transcoding agent are created

closed
Jin
5
2010-01-04
2009-11-19
dcoun
No

Hello,
I am trying the following profile in mediatomb in ubuntu 9.10 to transcode http video stream from dreambox 7000 to WDTV live using mencoder:

<profile name="transvideo" enabled="yes" type="external">
<mimetype>video/mpeg</mimetype>
<accept-url>yes</accept-url>
<first-resource>no</first-resource>
<hide-original-resource>yes</hide-original-resource>
<agent command="mencoder" arguments=" %in -o %out -ovc lavc -lavfdopts format=mpeg -oac mp3lame -forceidx -of mpeg"/>
<buffer size="57600000" chunk-size="512000" fill-size="10000000"/>
<thumbnail>no</thumbnail>
</profile>

I notice that multiple instances of mencoder are running, with no reason to me, causing problem to the dreambox.

Look the ps output:
109 15563 1.0 0.1 171160 7060 ? S 12:52 0:00 mencoder http://192.168.1.9:31339/0,0118,0204,02b2,1ffe -o /tmp/mt_transcode_GFJT3U -ovc lavc -lavfdopts format=mpeg -oac mp3lame -forceidx -of mpeg
109 15565 0.0 0.0 170908 2488 ? S 12:52 0:00 mencoder http://192.168.1.9:31339/0,0118,0204,02b2,1ffe -o /tmp/mt_transcode_GFJT3U -ovc lavc -lavfdopts format=mpeg -oac mp3lame -forceidx -of mpeg
109 15566 0.0 0.0 170908 2344 ? S 12:52 0:00 mencoder http://192.168.1.9:31339/0,0118,0204,02b2,1ffe -o /tmp/mt_transcode_56N03U -ovc lavc -lavfdopts format=mpeg -oac mp3lame -forceidx -of mpeg

and the mediatomb.log output:
2009-11-19 12:51:33 INFO: Initialized port: 50000
2009-11-19 12:51:33 INFO: Server bound to: 192.168.1.2
2009-11-19 12:51:34 INFO: MediaTomb Web UI can be reached by following this link:
2009-11-19 12:51:34 INFO: http://192.168.1.2:50000/
2009-11-19 12:51:46 INFO: Arguments: %in -o %out -ovc lavc -lavfdopts format=mpeg -oac mp3lame -forceidx -of mpeg
2009-11-19 12:51:46 INFO: Arguments: %in -o %out -ovc lavc -lavfdopts format=mpeg -oac mp3lame -forceidx -of mpeg
2009-11-19 12:52:07 INFO: thread cleanup; thread_id=637536528
2009-11-19 12:52:16 INFO: Arguments: %in -o %out -ovc lavc -lavfdopts format=mpeg -oac mp3lame -forceidx -of mpeg
2009-11-19 12:52:16 INFO: Arguments: %in -o %out -ovc lavc -lavfdopts format=mpeg -oac mp3lame -forceidx -of mpeg
2009-11-19 12:52:46 INFO: thread cleanup; thread_id=603965712
2009-11-19 12:52:48 INFO: thread cleanup; thread_id=569735440
2009-11-19 12:54:02 INFO: thread cleanup; thread_id=569735440
2009-11-19 12:55:14 INFO: thread cleanup; thread_id=569735440

From my experience the stream takes 2-3 seconds to start feeding from mencoder. Also the transcoding agent (mencoder) does not get killed.

Any reason for the multiple instances of the transcoding agents?

Thanks in advance

Discussion

  • Jin
    Jin
    2009-12-20

    • status: open --> pending
     
  • Jin
    Jin
    2009-12-20

    Usually this means that your player sends several requests (each HTTP GET request will spawn a new transcoding process), and it keeps the connections of those requests open (each connection close will kill the transcoder). You should also see, that terminating the server will clean up all transcoding instances before exiting.

    You could use wireshark to get confirmation for this behavior (i.e. more than one HTTP GET request).

    So, not really a bug from our perspective... I'll close it unless you want to comment with further details.

     
  • This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
    • status: pending --> closed